Package org.eclipse.jface.text.formatter

# Class MultiPassContentFormatter.NonDeletingPositionUpdater

java.lang.Object
org.eclipse.jface.text.DefaultPositionUpdater
org.eclipse.jface.text.formatter.MultiPassContentFormatter.NonDeletingPositionUpdater

All Implemented Interfaces:
  `IPositionUpdater`

Enclosing class:
  MultiPassContentFormatter

protected class MultiPassContentFormatter.NonDeletingPositionUpdater extends DefaultPositionUpdater
Position updater that shifts otherwise deleted positions to the next non-whitespace character. The length of the positions are truncated to one if the position was shifted.

## Field Summary

### Fields inherited from class org.eclipse.jface.text.DefaultPositionUpdater

`fDocument, fLength, fOffset, fOriginalPosition, fPosition, fReplaceLength`

## Constructor Summary

Constructors
Constructor
Description
`NonDeletingPositionUpdater(String category)`
Creates a new non-deleting position updater.

## Method Summary

Modifier and Type
Method
Description
`protected final boolean`
`notDeleted()`
Determines whether the currently investigated position has been deleted by the replace operation specified in the current event.

### Methods inherited from class org.eclipse.jface.text.DefaultPositionUpdater

`adaptToInsert, adaptToRemove, adaptToReplace, getCategory, isAffectingReplace, update`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### NonDeletingPositionUpdater

public NonDeletingPositionUpdater(String category)
Creates a new non-deleting position updater.

Parameters:
  `category` - The position category to update its positions

## Method Details

### notDeleted

protected final boolean notDeleted()
Description copied from class: `DefaultPositionUpdater`
Determines whether the currently investigated position has been deleted by the replace operation specified in the current event. If so, it deletes the position and removes it from the document's position category.

Overrides:
  `notDeleted` in class `DefaultPositionUpdater`
Returns:
  `true` if position has not been deleted